Class | Sequel::JDBC::Postgres::Dataset
In: | lib/sequel/adapters/jdbc/postgresql.rb
Parent: | JDBC::Dataset

Dataset subclass used for datasets that connect to PostgreSQL via JDBC.

### Methods

prepare

### Included Modules

Sequel::Postgres::DatasetMethods

### Classes and Modules

Class Sequel::JDBC::Postgres::Dataset::PGArrayConverter

### Constants

APOS | = | Dataset::APOS
PG_OBJECT_METHOD | = | TYPE_TRANSLATOR_INSTANCE.method(:pg_object)

### Public Instance methods

prepare(*args)

Add the shared PostgreSQL prepared statement methods

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 92
    92:         def prepare(*args)
    93:           ps = super
    94:           ps.extend(::Sequel::Postgres::DatasetMethods::PreparedStatementMethods)
    95:           ps
    96:         end

[Validate]